<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::EdgeListBuilder Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#e4af3550dfe4948680078a087377bfbf">addIndexData</a>(const IndexData *indexData, size_t vertexSet=0, RenderOperation::OperationType opType=RenderOperation::OT_TRIANGLE_LIST)</td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#9845e2f91660819164a627c661f5d107">addVertexData</a>(const VertexData *vertexData)</td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#7233d617fe953b3b6c74035636f1d9f0">build</a>(void)</td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#931b3ad77134a61a22a64492fdb898bf">buildTrianglesEdges</a>(const Geometry &amp;geometry)</td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#792974e67a72693e08c7a3c45ca4e06c">CommonVertexList</a> typedef</td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#41ee224abb216f7c8bc5261609049d19">CommonVertexMap</a> typedef</td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#5ea7b21ba4d92d2d9a73c0ac8e2d11ce">connectOrCreateEdge</a>(size_t vertexSet, size_t triangleIndex, size_t vertIndex0, size_t vertIndex1, size_t sharedVertIndex0, size_t sharedVertIndex1)</td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#cf52bd519947f6f8305df1bec3247dd2">EdgeListBuilder</a>()</td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#76064f6b787a7b561cfac42c32d15879">EdgeMap</a> typedef</td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#dfa93b810bd70c02bc04899851677e52">findOrCreateCommonVertex</a>(const Vector3 &amp;vec, size_t vertexSet, size_t indexSet, size_t originalIndex)</td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#78243f2c2c6a3cbe263b6c6d802ccf75">GeometryList</a> typedef</td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#66aa1d48de5385be8233c8733af99186">log</a>(Log *l)</td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#43c5862bbe8afebf7ca473fbcbf219e0">mCommonVertexMap</a></td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#8cc80f94959971521a82cc930cac46e9">mEdgeData</a></td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#49964dbb7e73349bed694df63ec9b372">mEdgeMap</a></td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#5d4989a248aa1f8fc2f42d278aa708f0">mGeometryList</a></td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#c706c9ac2d689aa08556ba824386c97a">mVertexDataList</a></td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#2b2c21a40cd9ce67461bd0164fe67a35">mVertices</a></td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#54baa37e788c26e4017fdef47c8386dc">VertexDataList</a> typedef</td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EdgeListBuilder.html#f699fd3c27f017e3625b93182dfba122">~EdgeListBuilder</a>()</td><td><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:33 2008
</p>
</body>
</html>
